CVE-2004-1621
CVSS4.3
发布时间 :2004-10-18 00:00:00
修订时间 :2016-10-17 22:57:50
NMCOES    

[原文]** DISPUTED ** NOTE: this issue has been disputed by the vendor. Cross-site scripting (XSS) vulnerability in IBM Lotus Notes R6 and Domino R6, and possibly earlier versions, allows remote attackers to execute arbitrary web script or HTML via square brackets at the beginning and end of (1) computed for display, (2) computed when composed, or (3) computed text element fields. NOTE: the vendor has disputed this issue, saying that it is not a problem with Notes/Domino itself, but with the applications that do not properly handle this feature.


[CNNVD]IBM Lotus Domino跨站脚本和HTML注入漏洞(CNNVD-200410-036)

        IBM Lotus Notes R6版本和Domino R6版本,以及可能之前的版本存在跨站脚本漏洞。远程攻击者借助(1)对显示的计算,(2)排版时的计算或者(3)文本元素字段的计算的开头及结尾中的方括号来执行任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:ibm:lotus_domino:6.5.2IBM Lotus Domino 6.5.2
cpe:/a:ibm:lotus_domino:6.5.1IBM Lotus Domino 6.5.1
cpe:/a:ibm:lotus_domino:6.0.2IBM Lotus Domino 6.0.2
cpe:/a:ibm:lotus_domino:6.0.3IBM Lotus Domino 6.0.3
cpe:/a:ibm:lotus_domino:6.0IBM Lotus Domino 6.0
cpe:/a:ibm:lotus_domino:6.0.2_cf2IBM Lotus Domino 6.0.2 CF2
cpe:/a:ibm:lotus_domino:6.5.0IBM Lotus Domino 6.5.0
cpe:/a:ibm:lotus_domino:6.0.1IBM Lotus Domino 6.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1621
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1621
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200410-036
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109812960023736&w=2
(UNKNOWN)  BUGTRAQ  20041018 IBM Lotus Notes/Domino fails to encode Square Brackets ( [ ] )
http://marc.info/?l=bugtraq&m=109841682529328&w=2
(UNKNOWN)  BUGTRAQ  20041021 Re: IBM Lotus Notes/Domino fails to encode Square Brackets ( [ ] )
http://securitytracker.com/id?1011779
(VENDOR_ADVISORY)  SECTRACK  1011779
http://www-1.ibm.com/support/docview.wss?rs=463&uid=swg21187833
(VENDOR_ADVISORY)  MISC  http://www-1.ibm.com/support/docview.wss?rs=463&uid=swg21187833
http://www.securityfocus.com/bid/11458
(VENDOR_ADVISORY)  BID  11458
http://xforce.iss.net/xforce/xfdb/17758
(VENDOR_ADVISORY)  XF  lotus-notes-xss(17758)

- 漏洞信息

IBM Lotus Domino跨站脚本和HTML注入漏洞
中危 跨站脚本
2004-10-18 00:00:00 2005-10-20 00:00:00
远程  
        IBM Lotus Notes R6版本和Domino R6版本,以及可能之前的版本存在跨站脚本漏洞。远程攻击者借助(1)对显示的计算,(2)排版时的计算或者(3)文本元素字段的计算的开头及结尾中的方括号来执行任意web脚本或HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24690)

IBM Lotus Domino 6.x Cross-Site Scripting and HTML Injection Vulnerabilities (EDBID:24690)
unix webapps
2004-10-18 Verified
0 Juan C Calderon
N/A [点击下载]
source: http://www.securityfocus.com/bid/11458/info

It is reported that Lotus Domino is susceptible to a cross-site scripting and an HTML injection vulnerability. These issues are due to a failure of the application to properly sanitize user-supplied input.

The cross-site scripting issue could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were to be followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

The HTML injection issue may allow an attacker to inject malicious HTML and script code into the application. An unsuspecting user viewing a page that contains the malicious comment will have the attacker-supplied script code executed within their browser in the context of the vulnerable site. This issue may be leveraged to steal cookie based authentication credentials. Other attacks are also possible.

http://www.example.com/FormReflectingURLValue?OpenForm&Field=%5B%3Cscript%3E%2E%2E%2E%2E%2E%3C%2Fscript%3E%5D		

- 漏洞信息

10966
IBM Lotus Notes/Domino Square Brackets Encoding Failure XSS
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Vendor Disputed

- 漏洞描述

IBM Lotus Notes/Domino Square contains a flaw that allows a remote cross-site scripting (XSS) attack. This flaw exists because the application does not validate the user input for square brackets ([]) in directly or indirectly computed texts computed for display, computed when composed, or computed text element fields. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2004-10-18 Unknow
2004-10-18 2004-10-18

- 解决方案

The reported vulnerability has been disputed by IBM and is said not to be a security issue. No solution is required. IBM recommends as a solution "a well-designed application" where user-supplied input is validated before being echoed back to the user.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM Lotus Domino Cross-Site Scripting and HTML Injection Vulnerabilities
Input Validation Error 11458
Yes No
2004-10-18 12:00:00 2009-07-12 08:06:00
Juan C Calderon <juan.calderon@ge.com> disclosed this vulnerability.

- 受影响的程序版本

IBM Lotus Domino 6.5.2
IBM Lotus Domino 6.5.1
IBM Lotus Domino 6.5 .0
IBM Lotus Domino 6.0.3
IBM Lotus Domino 6.0.2 CF2
IBM Lotus Domino 6.0.2
IBM Lotus Domino 6.0.1
IBM Lotus Domino 6.0

- 漏洞讨论

It is reported that Lotus Domino is susceptible to a cross-site scripting and an HTML injection vulnerability. These issues are due to a failure of the application to properly sanitize user-supplied input.

The cross-site scripting issue could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were to be followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

The HTML injection issue may allow an attacker to inject malicious HTML and script code into the application. An unsuspecting user viewing a page that contains the malicious comment will have the attacker-supplied script code executed within their browser in the context of the vulnerable site. This issue may be leveraged to steal cookie based authentication credentials. Other attacks are also possible.

- 漏洞利用

An exploit is not required. An example sufficient to exploit this vulnerability was provided:

http://www.example.com/FormReflectingURLValue?OpenForm&amp;Field=%5B%3Cscript%3E%2E%2E%2E%2E%2E%3C%2Fscript%3E%5D

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站